> For the complete documentation index, see [llms.txt](https://docs.alkemi.network/earn-contracts/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alkemi.network/earn-contracts/docs/rewardcontrolinterface.md).

# RewardControlInterface.sol

View Source: [contracts/RewardControlInterface.sol](https://github.com/AlkemiNetwork/alkemi-earn-contracts/tree/ae6d5c01ff8b3810c4005457ac7ce441ab1c7ec5/contracts/RewardControlInterface.sol)

**↘ Derived Contracts:** [**RewardControl**](/earn-contracts/docs/rewardcontrol.md)

### Functions

* refreshAlkSupplyIndex(address market, address supplier, bool isVerified)
* refreshAlkBorrowIndex(address market, address borrower, bool isVerified)
* claimAlk(address holder)
* claimAlk(address holder, address market, bool isVerified)

#### refreshAlkSupplyIndex

⤿ Overridden Implementation(s): [RewardControl.refreshAlkSupplyIndex](https://app.gitbook.com/s/-MQ0mmOovvt0G2zyJIgA/docs/RewardControl.md#refreshalksupplyindex)

Refresh ALK supply index for the specified market and supplier

```javascript
function refreshAlkSupplyIndex(address market, address supplier, bool isVerified) external nonpayable
```

**Arguments**

| Name       | Type    | Description                                      |
| ---------- | ------- | ------------------------------------------------ |
| market     | address | The market whose supply index to update          |
| supplier   | address | The address of the supplier to distribute ALK to |
| isVerified | bool    | Verified / Public protocol                       |

#### refreshAlkBorrowIndex

⤿ Overridden Implementation(s): [RewardControl.refreshAlkBorrowIndex](https://app.gitbook.com/s/-MQ0mmOovvt0G2zyJIgA/docs/RewardControl.md#refreshalkborrowindex)

Refresh ALK borrow index for the specified market and borrower

```javascript
function refreshAlkBorrowIndex(address market, address borrower, bool isVerified) external nonpayable
```

**Arguments**

| Name       | Type    | Description                                      |
| ---------- | ------- | ------------------------------------------------ |
| market     | address | The market whose borrow index to update          |
| borrower   | address | The address of the borrower to distribute ALK to |
| isVerified | bool    | Verified / Public protocol                       |

#### claimAlk

⤿ Overridden Implementation(s): [RewardControl.claimAlk](https://app.gitbook.com/s/-MQ0mmOovvt0G2zyJIgA/docs/RewardControl.md#claimalk)

Claim all the ALK accrued by holder in all markets

```javascript
function claimAlk(address holder) external nonpayable
```

**Arguments**

| Name   | Type    | Description                  |
| ------ | ------- | ---------------------------- |
| holder | address | The address to claim ALK for |

#### claimAlk

⤿ Overridden Implementation(s): [RewardControl.claimAlk](https://app.gitbook.com/s/-MQ0mmOovvt0G2zyJIgA/docs/RewardControl.md#claimalk)

Claim all the ALK accrued by holder by refreshing the indexes on the specified market only

```javascript
function claimAlk(address holder, address market, bool isVerified) external nonpayable
```

**Arguments**

| Name       | Type    | Description                                          |
| ---------- | ------- | ---------------------------------------------------- |
| holder     | address | The address to claim ALK for                         |
| market     | address | The address of the market to refresh the indexes for |
| isVerified | bool    | Verified / Public protocol                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alkemi.network/earn-contracts/docs/rewardcontrolinterface.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
